Skip to main content
POST
/
api
/
v1
/
auth
/
universal-auth
/
identities
/
{identityId}
cURL
curl --request POST \
  --url https://us.infisical.com/api/v1/auth/universal-auth/identities/{identityId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "clientSecretTrustedIps": [
    {
      "ipAddress": "0.0.0.0/0"
    },
    {
      "ipAddress": "::/0"
    }
  ],
  "accessTokenTrustedIps": [
    {
      "ipAddress": "0.0.0.0/0"
    },
    {
      "ipAddress": "::/0"
    }
  ],
  "accessTokenTTL": 2592000,
  "accessTokenMaxTTL": 2592000,
  "accessTokenNumUsesLimit": 0,
  "accessTokenPeriod": 0,
  "lockoutEnabled": true,
  "lockoutThreshold": 3,
  "lockoutDurationSeconds": 300,
  "lockoutCounterResetSeconds": 30
}
'
{
  "identityUniversalAuth": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "clientId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "identityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "accessTokenTTL": 7200,
    "accessTokenMaxTTL": 7200,
    "accessTokenNumUsesLimit": 0,
    "clientSecretTrustedIps": "<unknown>",
    "accessTokenTrustedIps": "<unknown>",
    "accessTokenPeriod": 0,
    "lockoutEnabled": true,
    "lockoutThreshold": 3,
    "lockoutDurationSeconds": 300,
    "lockoutCounterResetSeconds": 30
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical-saif-eng-4890-add-support-for-oracle-db-access-in.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

identityId
string
required

The ID of the machine identity to attach the configuration onto.

Body

application/json
clientSecretTrustedIps
object[]

A list of IPs or CIDR ranges that the Client Secret can be used from together with the Client ID to get back an access token. You can use 0.0.0.0/0, to allow usage from any network address.

Minimum array length: 1
accessTokenTrustedIps
object[]

A list of IPs or CIDR ranges that access tokens can be used from. You can use 0.0.0.0/0, to allow usage from any network address.

Minimum array length: 1
accessTokenTTL
integer
default:2592000

The lifetime for an access token in seconds. This value will be referenced at renewal time.

Required range: 0 <= x <= 315360000
accessTokenMaxTTL
integer
default:2592000

The maximum lifetime for an access token in seconds. This value will be referenced at renewal time.

Required range: 0 <= x <= 315360000
accessTokenNumUsesLimit
integer
default:0

The maximum number of times that an access token can be used; a value of 0 implies infinite number of uses.

Required range: x >= 0
accessTokenPeriod
integer
default:0

The period for an access token in seconds. This value will be referenced at renewal time. Default value is 0.

Required range: x >= 0
lockoutEnabled
boolean
default:true

Whether the lockout feature is enabled.

lockoutThreshold
number
default:3

The amount of times login must fail before locking the identity auth method.

Required range: 1 <= x <= 30
lockoutDurationSeconds
number
default:300

How long an identity auth method lockout lasts.

Required range: 30 <= x <= 86400
lockoutCounterResetSeconds
number
default:30

How long to wait from the most recent failed login until resetting the lockout counter.

Required range: 5 <= x <= 3600

Response

Default Response

identityUniversalAuth
object
required